package com.ibm.zvse.adapter;
import java.util.*;

import com.ibm.vse.connector.*;

/**
 * Class RecordListener. Gets instances of VSAM records from the
 * host and stores it in vector vRecs.
 *
 * @version 1.0
 */
public class RecordListener implements VSEResourceListener
{
   Vector vRecs;

   public RecordListener()
   {
      vRecs = new Vector();
   }
   public void listStarted(VSEResourceEvent event)
   {
   }

   public void listAdded(VSEResourceEvent event)
   {
      VSEResource resource = (VSEResource)(event.getData());
      if (resource instanceof VSEVsamRecord)
      {
         VSEVsamRecord rec = (VSEVsamRecord)resource;
         vRecs.addElement(rec);
      }
   }

   public void listEnded(VSEResourceEvent event)
   {
   }

   public Vector getRecords()
   {
      return vRecs;
   }
}
